| Home | Libraries | People | FAQ | More

##### static_url_base::encoded_host

(Inherited from `url_view_base`)

Return the host.

###### Synopsis

    pct_string_view
    encoded_host() const;

###### Description

This function returns the host portion of the authority as a string, or the empty string if there is no authority. The returned string may contain percent escapes.

###### Example

    assert( url_view( "https://www%2droot.example.com/" ).encoded_host() == "www%2droot.example.com" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    host        = IP-literal / IPv4address / reg-name

    IP-literal  = "[" ( IPv6address / IPvFuture  ) "]"

    reg-name    = *( unreserved / pct-encoded / "-" / "." )

###### Specification

- 3.2.2. Host (rfc3986)